Gazebo | Ignition | Community
Ask Your Question
0

Unable to locate package libignition-physics-dev

asked 2021-05-07 06:07:15 -0600

Martiasv gravatar image

Hi!

I am following the installation tutorial on: https://ignitionrobotics.org/api/phys...

but when I get to the command: sudo apt-get install libignition-physics-dev

I get the following error: E: Unable to locate package libignition-physics-dev

All the earlier commands execute without problems.

I am running Ubuntu 20.04.2 LTS and Gazebo 11.5

The reason I want to run this installation process is that I have an older version of the package "ignition-common3-graphics" that I need to upgrade: Could not find a configuration file for package "ignition-common3-graphics" that exactly matches requested version "3.13.1".

I have version 3.11.1.

Thank you

edit retag flag offensive close merge delete

Comments

Excuse me, I don't fully understand your final goal? Are you interested in a particular version of ign-common? installing ign-physics? or the final goal is to install a different software?

Jose Luis Rivero gravatar imageJose Luis Rivero ( 2021-05-07 12:43:34 -0600 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2021-05-19 11:26:19 -0600

Jose Luis Rivero gravatar image

libignition-physics-dev correspond to the 1.x series of ignition-physics which is currently end of life. I would recommend to use any other supported versions:

  • Latest (at the moment of writing) is 4.x (Ignition Edifice):
  • Also supported are versions 2.x (Ignition Citadel) and 3.x (Ignition Dome)
edit flag offensive delete link more
0

answered 2021-05-11 09:32:47 -0600

Hi,

I have the same problem with the same system setup (Ubuntu 20.04.2 LTS and Gazebo 11.5).

Best regards.

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2021-05-07 06:07:15 -0600

Seen: 358 times

Last updated: May 19